// Code generated by protoc-gen-go.
// source: google/type/timeofday.proto
// DO NOT EDIT!

package google_type

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// Represents a time of day. The date and time zone are either not significant
// or are specified elsewhere. An API may chose to allow leap seconds. Related
// types are [google.type.Date][google.type.Date] and [google.protobuf.Timestamp][google.protobuf.Timestamp].
type TimeOfDay struct {
	// Hours of day in 24 hour format. Should be from 0 to 23. An API may choose
	// to allow the value "24:00:00" for scenarios like business closing time.
	Hours int32 `protobuf:"varint,1,opt,name=hours" json:"hours,omitempty"`
	// Minutes of hour of day. Must be from 0 to 59.
	Minutes int32 `protobuf:"varint,2,opt,name=minutes" json:"minutes,omitempty"`
	// Seconds of minutes of the time. Must normally be from 0 to 59. An API may
	// allow the value 60 if it allows leap-seconds.
	Seconds int32 `protobuf:"varint,3,opt,name=seconds" json:"seconds,omitempty"`
	// Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.
	Nanos int32 `protobuf:"varint,4,opt,name=nanos" json:"nanos,omitempty"`
}

func (m *TimeOfDay) Reset()                    { *m = TimeOfDay{} }
func (m *TimeOfDay) String() string            { return proto.CompactTextString(m) }
func (*TimeOfDay) ProtoMessage()               {}
func (*TimeOfDay) Descriptor() ([]byte, []int) { return fileDescriptor5, []int{0} }

func init() {
	proto.RegisterType((*TimeOfDay)(nil), "google.type.TimeOfDay")
}

var fileDescriptor5 = []byte{
	// 150 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0xe2, 0x92, 0x4e, 0xcf, 0xcf, 0x4f,
	0xcf, 0x49, 0xd5, 0x2f, 0xa9, 0x2c, 0x00, 0x12, 0x99, 0xb9, 0xa9, 0xf9, 0x69, 0x29, 0x89, 0x95,
	0x7a, 0x05, 0x45, 0xf9, 0x25, 0xf9, 0x42, 0xdc, 0x10, 0x49, 0x3d, 0x90, 0xa4, 0x92, 0x37, 0x17,
	0x67, 0x08, 0x50, 0xde, 0x3f, 0xcd, 0x25, 0xb1, 0x52, 0x88, 0x97, 0x8b, 0x35, 0x23, 0xbf, 0xb4,
	0xa8, 0x58, 0x82, 0x51, 0x81, 0x51, 0x83, 0x55, 0x88, 0x9f, 0x8b, 0x3d, 0x37, 0x33, 0xaf, 0xb4,
	0x24, 0xb5, 0x58, 0x82, 0x09, 0x26, 0x50, 0x9c, 0x9a, 0x9c, 0x9f, 0x97, 0x52, 0x2c, 0xc1, 0x0c,
	0x16, 0x00, 0x6a, 0xc8, 0x4b, 0xcc, 0xcb, 0x2f, 0x96, 0x60, 0x01, 0x71, 0x9d, 0xd4, 0xb8, 0xf8,
	0x93, 0xf3, 0x73, 0xf5, 0x90, 0xcc, 0x77, 0xe2, 0x83, 0x9b, 0x1e, 0x00, 0xb2, 0x3c, 0x80, 0x71,
	0x01, 0x23, 0x63, 0x12, 0x1b, 0xd8, 0x21, 0xc6, 0x80, 0x00, 0x00, 0x00, 0xff, 0xff, 0x72, 0x3c,
	0x7e, 0xdc, 0xa7, 0x00, 0x00, 0x00,
}
